
#!/bin/sh

# Text color variables
txtund=$(tput sgr 0 1)    # Underline
txtbld=$(tput bold)       # Bold
txtred=$(tput setaf 1)    # Red
txtgrn=$(tput setaf 2)    # Green
txtylw=$(tput setaf 3)    # Yellow
txtblu=$(tput setaf 4)    # Blue
txtpur=$(tput setaf 5)    # Purple
txtcyn=$(tput setaf 6)    # Cyan
txtwht=$(tput setaf 7)    # White
txtrst=$(tput sgr0)       # Text reset

#echo "${txtylw}this${txtrst}."

echo " ------------------------------------------------------------------------"
echo "
    <Compendiaria>  Copyright (C) 2014>  <JJ Posti (techtimejourney.net)>
    This program comes with ABSOLUTELY NO WARRANTY; for details see: 
    http://www.gnu.org/copyleft/gpl.html
    This is free software, and you are welcome to redistribute it
    under GPL Version 3, 29 June 2007."

echo " -------------------------------------------------------------------------"
echo "${txtylw}	Welcome to 'Compendiaria' a.k.a. the settings script version 0.1. ${txtrst}"
echo ".........................................................................."


# Declare variable choice and assign value 9
choice=9
# Print to stdout
echo "${txtgrn}1. Hibernate computer"

	echo "${txtgrn}2. Suspend computer ${txtrst}"


	echo "${txtgrn}3. Reboot computer ${txtrst}"


	echo "${txtgrn}4. Shutdown computer ${txtrst}"


	echo "${txtgrn}5. Select sound device (ALSA) ${txtrst}"


	echo "${txtgrn}6. Setup wlan ${txtrst}"


	echo "${txtgrn}7. Reset sound device settings (ALSA) ${txtrst}"


	echo "${txtgrn}8. Exit${txtrst}"
echo ".........................................................................."

echo "Enter selection: "
# Loop while the variable choice is equal 9
# sh while loop
while [ $choice -eq 9 ]; do
# read user input
read choice
# sh nested if/else
if [ $choice -eq 1 ] ; then
 
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ..

pm-hibernate


else
        if [ $choice -eq 2 ] ; then

while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ..

pm-suspend-hybrid
       
	
else
         
		if [ $choice -eq 3 ] ; then
		
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...

echo "Rebooting in 10 seconds"

sleep 10
	
reboot

else
         

		if [ $choice -eq 4 ] ; then
		
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...
	

echo "Shutdown in 10 seconds"

sleep 10

poweroff

else

		if [ $choice -eq 5 ] ; then
		
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...

cat /proc/asound/modules
	
echo "What sound card you want to disable (enter the name of the device. For example snd_hda_intel)? \c"
read USER
touch /etc/modprobe.d/sound.blacklist.conf
echo "blacklist $USER" >> /etc/modprobe.d/sound.blacklist.conf

echo "You need to reboot the computer so that changes can take effect." 
echo "Repeat this step if you have some other sound cards to become blacklisted."

sleep 1 

sh settings.sh	

else


		if [ $choice -eq 6 ] ; then
		
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...

rm -rf  /etc/wpa_supplicant.conf

iwlist wlan0 scan | grep ESSID

touch  /etc/wpa_supplicant.conf

echo "What is your network EESID?"
read USER

echo "network={ 
ssid=”$USER” " >> /etc/wpa_supplicant.conf

echo "What is your wlan password?"
read USER
echo "psk=”$USER”
} " >> /etc/wpa_supplicant.conf
echo "Reboot the system so that changes can take effect" 

sleep 1

sh settings.sh	

else

		if [ $choice -eq 7 ] ; then
		
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...
	
rm -rf /etc/modprobe.d/sound.blacklist.conf

echo "You need to reboot the computer so that changes can take effect." 

sleep 1 

sh settings.sh

else
		if [ $choice -eq 8 ] ; then	


while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Going back to menu - you entered $CONFIRM
sh settings.sh
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...
echo  Exiting ... 
exit


                        choice=9
                fi   
        fi
fi
fi
fi
fi
fi
fi
done
exit


